Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.msv.relaxns.verifier
Class AnyOtherElementVerifier

    java.lang.Object
      org.xml.sax.helpers.DefaultHandler
          com.sun.msv.relaxns.verifier.AnyOtherElementVerifier

All Implemented Interfaces:
  org.xml.sax.ContentHandler, org.xml.sax.DTDHandler, org.xml.sax.EntityResolver, org.xml.sax.ErrorHandler, org.iso_relax.dispatcher.IslandVerifier

public class AnyOtherElementVerifier
extends org.xml.sax.helpers.DefaultHandler
implements org.iso_relax.dispatcher.IslandVerifier

IslandVerifier that validates <anyOtherElement /> of RELAX.

Author:
  Kohsuke KAWAGUCHI

Field Summary
`static java.lang.String` | `ERR_UNEXPECTED_NAMESPACE`

Constructor Summary
`AnyOtherElementVerifier(AnyOtherElementExp[] exps)`

Method Summary
`void` | `endChildIsland(java.lang.String namespaceURI, org.iso_relax.dispatcher.ElementDecl[] rules)`
`org.iso_relax.dispatcher.ElementDecl[]` | `endIsland()`
`void` | `setDispatcher(org.iso_relax.dispatcher.Dispatcher disp)`
`void` | `setDocumentLocator(org.xml.sax.Locator loc)`
`void` | `startElement(java.lang.String namespaceURI, java.lang.String localName, java.lang.String qName, org.xml.sax.Attributes atts)`

Methods inherited from class org.xml.sax.helpers.DefaultHandler
`characters, endDocument, endElement, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, skippedEntity, startDocument, startPrefixMapping, unparsedEntityDecl, warning`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.xml.sax.ContentHandler
`characters, endDocument, endElement, endPrefixMapping, ignorableWhitespace, processingInstruction, skippedEntity, startDocument, startPrefixMapping`

Field Detail

### ERR_UNEXPECTED_NAMESPACE

    public static final java.lang.String ERR_UNEXPECTED_NAMESPACE

See Also:
  Constant Field Values

Constructor Detail

### AnyOtherElementVerifier

    public AnyOtherElementVerifier(AnyOtherElementExp[] exps)

Method Detail

### setDispatcher

    public void setDispatcher(org.iso_relax.dispatcher.Dispatcher disp)

  Specified by:
    `setDispatcher` in interface `org.iso_relax.dispatcher.IslandVerifier`

### startElement

    public void startElement(java.lang.String namespaceURI,
                             java.lang.String localName,
                             java.lang.String qName,
                             org.xml.sax.Attributes atts)
                      throws org.xml.sax.SAXException

  Specified by:
    `startElement` in interface `org.xml.sax.ContentHandler`
  Throws:
    `org.xml.sax.SAXException`

### endChildIsland

    public void endChildIsland(java.lang.String namespaceURI,
                               org.iso_relax.dispatcher.ElementDecl[] rules)

  Specified by:
    `endChildIsland` in interface `org.iso_relax.dispatcher.IslandVerifier`

### endIsland

    public org.iso_relax.dispatcher.ElementDecl[] endIsland()

  Specified by:
    `endIsland` in interface `org.iso_relax.dispatcher.IslandVerifier`

### setDocumentLocator

    public void setDocumentLocator(org.xml.sax.Locator loc)

  Specified by:
    `setDocumentLocator` in interface `org.xml.sax.ContentHandler`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD